import request from '@/utils/request'

export function downloadWaveFile(data: any) {
    return request({
        url: '/event-boot/transient/downloadWaveFile',
        method: 'post',
        data: data.lineId,
        responseType: 'blob'
    })
}

// 事件分析  shushiboxi 获取数据
export function getMonitorEventAnalyseWave(data: any) {
    return request({
        url: '/event-boot/transient/getTransientAnalyseWave',
        method: 'post',
        data
    })
}
// 事件分析  根据暂降事件id获取详情
export function getTransientDetailById(data: any) {
    return request({
        url: '/event-boot/rmpEventDetail/getTransientDetailById',
        method: 'post',
        params: data
    })
}
